org.apache.ignite.cache.store.jdbc

## Class CacheJdbcPojoStore.PojoMethodsCache

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.CacheJdbcPojoStore.PojoMethodsCache

Enclosing class:
  CacheJdbcPojoStore<K,V>

    protected static class CacheJdbcPojoStore.PojoMethodsCache
    extends Object

POJO methods cache.

### Field Summary

Fields
`protected Class<?>` `cls` POJO class.

### Constructor Summary

Constructors
Constructor and Description
`CacheJdbcPojoStore.PojoMethodsCache(String clsName, Collection<CacheTypeFieldMetadata> fields)` POJO methods cache.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cls

    protected final Class<?> cls

POJO class.

### Constructor Detail

#### CacheJdbcPojoStore.PojoMethodsCache

    public CacheJdbcPojoStore.PojoMethodsCache(String clsName,
                                       Collection<CacheTypeFieldMetadata> fields)
                                        throws javax.cache.CacheException

POJO methods cache.

Parameters:
  `clsName` - Class name.
  `fields` - Fields.
Throws:
  `javax.cache.CacheException` - If failed to construct type cache.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015